Package org.apache.storm.kafka.spout.trident

# Class KafkaTridentSpoutConfig<K,V>

java.lang.Object
org.apache.storm.kafka.spout.internal.CommonKafkaSpoutConfig<K,V>
org.apache.storm.kafka.spout.trident.KafkaTridentSpoutConfig<K,V>

All Implemented Interfaces:
  `Serializable`

public class KafkaTridentSpoutConfig<K,V> extends CommonKafkaSpoutConfig<K,V>
Defines the required Kafka-related configuration for the Trident spouts.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `KafkaTridentSpoutConfig.Builder<K,V>`

- ## Field Summary

  ### Fields inherited from class org.apache.storm.kafka.spout.internal.CommonKafkaSpoutConfig

  `DEFAULT_FIRST_POLL_OFFSET_STRATEGY, DEFAULT_PARTITION_REFRESH_PERIOD_MS, DEFAULT_POLL_TIMEOUT_MS, DEFAULT_START_TS, LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KafkaTridentSpoutConfig(KafkaTridentSpoutConfig.Builder<K,V> builder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KafkaTridentSpoutConfig.Builder<String,String>`
  `builder(String bootstrapServers, String... topics)`
  Factory method that creates a Builder with String key/value deserializers.
  `static KafkaTridentSpoutConfig.Builder<String,String>`
  `builder(String bootstrapServers, Pattern topics)`
  Factory method that creates a Builder with String key/value deserializers.
  `static KafkaTridentSpoutConfig.Builder<String,String>`
  `builder(String bootstrapServers, Set<String> topics)`
  Factory method that creates a Builder with String key/value deserializers.

  ### Methods inherited from class org.apache.storm.kafka.spout.internal.CommonKafkaSpoutConfig

  `getFirstPollOffsetStrategy, getKafkaProps, getPartitionRefreshPeriodMs, getPollTimeoutMs, getStartTimeStamp, getTopicFilter, getTopicPartitioner, getTranslator, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KafkaTridentSpoutConfig

    public KafkaTridentSpoutConfig(KafkaTridentSpoutConfig.Builder<K,V> builder)

- ## Method Details

  - ### builder

    public static KafkaTridentSpoutConfig.Builder<String,String> builder(String bootstrapServers, String... topics)
    Factory method that creates a Builder with String key/value deserializers.
    Parameters:
      `bootstrapServers` - The bootstrap servers for the consumer
      `topics` - The topics to subscribe to
    Returns:
      The new builder

  - ### builder

    public static KafkaTridentSpoutConfig.Builder<String,String> builder(String bootstrapServers, Set<String> topics)
    Factory method that creates a Builder with String key/value deserializers.
    Parameters:
      `bootstrapServers` - The bootstrap servers for the consumer
      `topics` - The topics to subscribe to
    Returns:
      The new builder

  - ### builder

    public static KafkaTridentSpoutConfig.Builder<String,String> builder(String bootstrapServers, Pattern topics)
    Factory method that creates a Builder with String key/value deserializers.
    Parameters:
      `bootstrapServers` - The bootstrap servers for the consumer
      `topics` - The topic pattern to subscribe to
    Returns:
      The new builder